[General]
#This version uses Chris's settings for the integration instead of rifts. biggest difference is reference frequency and adapt weight exponent.
#injections_file = /home/vinaya.valsan/rapidpe/generate_injections/injections_bns.xml
#injections_file = /home/caitlin.rose/my_rapidPE_work/first2years_data/convert_inj_txt/f2y2015_all_inj.txt
#injections_file = /home/caitlin.rose/my_rapidPE_work/f2y2015data/firstattempt/f2y_all_injections.xml
#injections_file = /home/caitlin.rose/my_rapidPE_work/first2years_data/convert_inj_txt/m1m2order/f2y2015_lalmap_inj_m1m2.txt
#injections_file = /home/caitlin.rose/my_rapidPE_work/first2years_data/convert_inj_txt/throwawym2grm1/f2y2015_lalmap_inj_throwaway.txt
#injections_file = /home/caitlin.rose/my_rapidPE_work/first2years_data/convert_inj_txt/all_lalmap_inj_m1_gr_m2/f2y2015_all_lalmap_inj.txt
#injections_file = /home/caitlin.rose/my_rapidPE_work/first2years_data/convert_inj_txt/throwawaym2grm1_all/f2y2015_all_inj_throwaway.txt
#injections_file = /home/caitlin.rose/my_rapidPE_work/first2years_data/convert_inj_txt/all_lalmap_inj_m1_gr_m2/f2y2015_all_gstlal_inj.txt
#injections_file = /home/caitlin.rose/my_rapidPE_work/f2y2016data/subset_f2y2016inj/f2y_HLV_dist80Mpc_inj.txt
#injections_file = /home/caitlin.rose/my_rapidPE_work/f2y2016data/subset_f2y2016inj/f2y_HLV_gstlal_inj.txt
#injections_file = /home/caitlin.rose/my_rapidPE_work/f2y2016data/subset_f2y2016inj/f2y2016_HLV_gstlal_inj_coinc_id.txt
#injections_file = /home/caitlin.rose/my_rapidPE_work/f2y2016data/subset_f2y2016inj/f2y2016_HLV_gstlal_inj_coinc_lalmap.txt
#injections_file = /home/caitlin.rose/my_rapidPE_work/f2y2016data/subset_f2y2016inj/f2y2016_HLV_inj_firstfifty.txt
#injections_file = /home/caitlin.rose/my_rapidPE_work/f2y2016data/subset_f2y2016inj/f2y2016_HLV_inj_firsthundred.txt
#injections_file = /home/caitlin.rose/my_rapidPE_work/f2y2016data/subset_f2y2016inj/f2y2016_HLV_inj_firsthundred_shuffled.txt
injections_file = /home/caitlin.rose/my_rapidPE_work/f2y2016data/subset_f2y2016inj/exact_inj/f2y2016_HLV_100shuffled_exactmasses.txt
#injections_file = /home/caitlin.rose/my_rapidPE_work/f2y2016data/subset_f2y2016inj/f2y2016_HLV_inj_first300_shuffled.txt
#injections_file = /home/caitlin.rose/my_rapidPE_work/f2y2016data/subset_f2y2016inj/f2y2016_HLV_gstlal_masses.txt
#injections_file = /home/caitlin.rose/my_rapidPE_work/f2y2016data/subset_f2y2016inj/f2y2016_HLV_gstlal_masses_lalmap.txt
#injections_file = /home/caitlin.rose/my_rapidPE_work/first2years_data/convert_inj_txt/all_lalmap_inj_m1_gr_m2/f2y2015_all_lalmap_inj.txt
#injections_file = /home/caitlin.rose/my_rapidPE_work/first2years_data/convert_inj_txt/all_lalmap_inj_m1_gr_m2/f2y2015_all_gstlal_inj.txt

#The name of the directory you want results output to
#output_parent_directory=output/20190814_BNS_injections_NOskymaps_distmax2k_exact_save10k_dist20to100_v3_TaylorT4
#output_parent_directory=output/f2y2015_pp_exact_intrinsic_lalmap_skymaps_subset_test1
output_parent_directory=output/test8
#submit_only_at_exact_signal_position=1
#never use this
randomly_vary_Mcnstart = 0
#Note: if use_skymap is set, set the skymap directory/file pattern to match in the [Event] section
#use_skymap=1
use_skymap=0

#If you want to perform multiple studies on a single event, you can set this. And command line arguments passed to create_submit_dag will be ignored. If you do NOT set this = 1, the [Event] section in the config file will be ignored, and command line arguments with event specific information is required
event_parameters_in_config_file=0

#was n_samples_per_job in old RIT code. This defines how many iterations of rapidPE are run. Before each new iteration a new grid is generated which is finer than the previous grid, and covers a smaller region of intrinsic parameter space (hopefully around the signal)
n_iterations_per_job=2

#You need to specify an accounting group when submitting jobs to condor. Use this link to determine your accounting tag: https://ldas-gridmon.ligo.caltech.edu/ldg_accounting/user
#accounting_group=cgca.sim.o3.cbc.pe.lalinferencerapid
accounting_group=ligo.dev.o3.cbc.pe.lalinferencerapid

#If the candidate output sub_directory, under the parent directory, it will not be overwritten by default. But if you're just testing things and not making submissions, you can force the overwrite with this option. default=0
overwrite_existing_event_dag=1

#If this is set, the script will submit the dag. set=0 if not sure everything is working
submit_dag=1
#If this is set, an email will be sent to this address once all jobs are complete, and the plotting scripts have run. If you don't want an email per event (likely if you're doing injections studies)  dont set it
email_address_for_job_complete_notice = carose@uwm.edu

#WARNING: This should be an absolute path. It's up to you to make sure you have the correct environemnt loaded
#This is the script that integrates over the extrinsic parameters for each intrinsic point. It is called once per intrinsic grid point.
#exe_integration_extrinsic_likelihood=/home/sinead.walsh/Software/20190702_python27_lalsuite_for_automated_rapidpe_venv_v2/opt/lalsuite/bin/rapidpe_integrate_extrinsic_likelihood
#exe_integration_extrinsic_likelihood = /home/vinaya.valsan/rapidPE/inj_data/automated_rapidpe_submission/rapidpe_integrate_extrinsic_likelihood
#exe_integration_extrinsic_likelihood = /home/vinaya.valsan/rapidPE/inj_data/automated_rapidpe_submission/rapidpe_integrate_extrinsic_likelihood_2
#exe_integration_extrinsic_likelihood=/home/caitlin.rose/virtualenvs/lalbranch_virtualenv/opt/bin/rapidpe_integrate_extrinsic_likelihood
#exe_integration_extrinsic_likelihood = /home/vinaya.valsan/virtualenvs/rapidpe_new_19052021/opt/bin/rapidpe_integrate_extrinsic_likelihood
exe_integration_extrinsic_likelihood = rapidpe_integrate_extrinsic_likelihood
#exe_grid_refine = /home/sinead.walsh/Software/20190702_python27_lalsuite_for_automated_rapidpe_venv_v2/opt/lalsuite/bin/rapidpe_compute_intrinsic_grid
#exe_grid_refine =/home/caitlin.rose/virtualenvs/lalbranch_virtualenv/opt/bin/rapidpe_compute_intrinsic_grid
#exe_grid_refine = /home/vinaya.valsan/virtualenvs/rapidpe_new_19052021/opt/bin/rapidpe_compute_intrinsic_grid
exe_grid_refine = rapidpe_compute_intrinsic_grid

#This is the script which sets up the dag to run the integration for every intrinsic grid point. It is run once per iteration of rapidPE.
#exe_create_event_dag=/home/sinead.walsh/Software/20190702_python27_lalsuite_for_automated_rapidpe_venv_v2/opt/lalsuite/bin/rapidpe_create_event_dag
#exe_create_event_dag=/home/caitlin.rose/virtualenvs/lalbranch_virtualenv/opt/bin/rapidpe_create_event_dag
#exe_create_event_dag = /home/vinaya.valsan/virtualenvs/rapidpe_new_19052021/opt/bin/rapidpe_create_event_dag
exe_create_event_dag = rapidpe_create_event_dag

#This is an optional argument which is only available if event_parameters_in_config_file=1. Otherwise, we expect that the inital grid has been generated by a wrapper script and you should pass the grid name via initial grid xml. The only requirement is that the inital grid xml name is printed in the stdout as [inital_grid_xml=<whatever.xml.gz>]. If this is specified, the initial_grid_xml and or hdf in [Event] will be ignored
exe_generate_initial_grid=

#If you want to include spin, you need to specify the list of intrinsic param to search here
#WARNING: this needs to be sed here and in [GridRefine], unless you want it to refine only in mass space
intrinsic_param_to_search=[mass1,mass2]


#Anything specified in this section is passed verbatim to rapidpe_compute_intrinsic_grid in generate_initial_grid_based_of_gstlal_O2_overlaps.py
[InitialGridOnly]
overlap-threshold = 0.40
#mc-min = 5
#mc-max = 61
points-per-side=5


[InitialGridSetup]
overlap_bank = /home/sinead.walsh/20180214_O2_overlaps_from_heather_fong/*.hdf


#The arguments in this section are passed directly to the command line in the condor dag job which does the grid refinement. Do not include any arguments which change per iteration or per node.
##NOTE: The script is currently setup to work with rapidpe_compute_intrinsic_grid or util_ConstructIntrinsicPosterior.py
[GridRefine]
no-exact-match=
#distance-coordinates=tau0_tau3
distance-coordinates=mchirp_eta
#distance-coordinates=mchirp_q
overlap-threshold=0.99
verbose=
intrinsic-param=[mass1,mass2]


#here you define information needed as input to the rapidpe scripts which computes the likelihood
#The arguments in this section are passed directly to the command line in the condor dag job. Use any variable that your exe_ntegration_extrinsic_likelihood can take.  arg_a will be converted to arg-a automatically.
##NOTE: Do not include any arguments which change per iteration or per node or per event. Note that since these variable argumnets are set in the script, naming must be consistent with what is in use. Specifically, your integration script should take the input intrinsic_grid.xml as --template-bank-xml,the naming of the output file should be set by --output-file, and event time is set by --event-time. Everything else should be static and set below.
#If the same argument is defined multiple times in the exe command line, pass it as a list. eg arga=[input1,input2]. do not set separately arga=input1 arga=input2, only input2 will be read.
[LikelihoodIntegration]
#enable time marginalised integration. The time marg integration runs faster than the unmarginalised integration, and is often used.
time-marginalization=
no-adapt=
#default is 0
#amp-order=0
# Weights will be raised to this power to prevent overconvergence
#value used by rift
#adapt-weight-exponent=0.1
#value used by chris
adapt-weight-exponent=0.8
#save_P is the threshold on cumulative probability contribution to cache sample. If this is not zero, you might get < save-samples points in output. If you care about extrinsic params, set this = 0.0.
#chris used default of 0
save-P=1e-7
#save-P=0.0
#lmax is the largest l-index of any h_lm mode considered. default is 2
#l-max=2

# The new sampling distribution at the end of each chunk will be floor_level-weighted average of a uniform distribution and the (L^tempering_exp p/p_s)-weighted histogram of sampled points. default 0.1
#adapt-floor-level=0.1
#Threshold on deltalnL for points preserved in output file. default is inf.
#save-deltalnL=inf

#rift used 100.0, chirs used 0
#reference-freq=100.0
reference-freq=0.0
#The default fmax is the max frequency in the psd that comes with the event
fmax=7900.0
fmin-template=15.0
#This defines the max number of intrinsic posterior points you want to calculate the likelihood for per extrinsic grid point. The best choice is unclear: if it's too small random sampling on the intrinsic grid won't have a chance to converge on the true maximum but the bigger you make it the longer the code runs
n-max=1000
#n-max=1000000
#n-max=5000000
#This is what's referred to as the effective number of templates (aka intrinsic grid points). As the rapidpe code iterates through the intrinsic grid, it calculates the effective number of templates/grid points for which the likelihood has been calculated so far. I assume this calculation is based on the overlap between templates, and effective number of templates is the same as saying the number of effectively independent templates, but I haven't confirmed this. If rapidpe reaches n_eff before reaching n_max, the calculations finish. In the way it has been used so far, n_eff is rarely reached before n_max. If n_eff is small when you reach n_max it's probably a bad thing, it indicates the intrinsic parameter space is not well sampled. What number would be considered small you ask? I don't know.
n-eff=1000
#n-eff=500
#Number of samples per chunk is min(n-chunk,n-max). I'm assuming once the limit on samples per chunk is reached the code jumps to another part of extrinsic space before continuing
n-chunk=1000
#per extrinsic grid point, the likelihood is calculated for many combinations of intrinsic grid points. This option defines how many intrinsic points are save in the output _samples.xml file. It its set to 0 or not set, no samples saved. If you want all samples saved set = n-max #was save_samples
save-samples=1000
#%(n-max)s
#WARNING: is save_samples/n-chunk is small (~1-3) and you have a loud signal, the extrinsic posteriors wont cover the full extrinsic parameter space and may be bad.


##commands which exist in RIT and UWM code, but have different names in each
#d_max in RIT. distance_maximum in UWM. I think this is the maximum distance (in Mpc) to include in the sampled intrinsic parameter space.
#distance-minimum=20.0
#distance-minimum=2.0
#distance-maximum=100.0
#distance-maximum=220.0
#distance-minimum=1e-9
#distance-maximum=218.9
#distance-minimum=8.8e-10
#distance-maximum=280.0
#distance-maximum=235.0
#distance-maximum=487.0
#distance-minimum=109.0
#distance-maximum=487.0
#distance-minimum=1e-9
#distance-maximum=487.0
distance-minimum=5.0
distance-maximum=484.0



#This whole section is candidate specific, there should be no candidate specific info anywhere else in the ini file. It can be defined in the ini file, if you want to run many studies for one candidate, or it can be input to create_submit_dag_one_event.py as command line arguements.
[Event]
#WARNING: the INJINDEX should correspond with the original_index in the injections file, if it is based on line number, you may be selecting the wrong files. 
#cache_file =/home/vinaya.valsan/rapidpe/generate_injections/injected_frames.cache
#cache_file=/home/caitlin.rose/my_rapidPE_work/first2years_data/gwdatafind_tests/f2y15_data.cache
#cache_file=/home/caitlin.rose/my_rapidPE_work/f2y2015data/firstattempt/injected_frames.cache
#cache_file=/home/caitlin.rose/my_rapidPE_work/f2y_new_pp_plot_script/intrinsic_pp_plots/automated_rapidpe_submission/injected_frames.cache
#cache_file=/home/caitlin.rose/my_rapidPE_work/f2y2016data/create_2016_L1H1_data/firstattempt/injected_frames_3det.cache
cache_file=/home/caitlin.rose/my_rapidPE_work/f2y2016data/create_2016_L1H1_data/2016injecteddata/injected_frames.cache
#psd_file=[H1=/home/vinaya.valsan/rapidpe/generate_injections/H1_psd.xml.gz,L1=/home/vinaya.valsan/rapidpe/generate_injections/L1_psd.xml.gz]
#psd_file= [H1=/home/caitlin.rose/my_rapidPE_work/generate_injected_data/H1_psd.xml.gz,L1=/home/caitlin.rose/my_rapidPE_work/generate_injected_data/L1_psd.xml.gz,V1=/home/caitlin.rose/my_rapidPE_work/first2years_data/2016scenario/psdxmlfiles2016/V1_psd.xml.gz]
psd_file= [H1=/home/caitlin.rose/my_rapidPE_work/f2y2016data/create_2016_L1H1_data/firstattempt/H1_psd_mid.xml.gz,L1=/home/caitlin.rose/my_rapidPE_work/f2y2016data/create_2016_L1H1_data/firstattempt/L1_psd_mid.xml.gz,V1=/home/caitlin.rose/my_rapidPE_work/f2y2016data/check_virgo_psd/V1_psd.xml.gz]
#psd_file= [H1=/home/caitlin.rose/my_rapidPE_work/first2years_data/check_psds/H1_psd.xml.gz,L1=/home/caitlin.rose/my_rapidPE_work/first2years_data/check_psds/L1_psd.xml.gz]
#skymap_file=/home/caitlin.rose/my_rapidPE_work/f2y2015data/firstattempt/rapidpe_skymaps_first100lal/bayestar15_sim$INJINDEX$.fits.gz
#skymap_file=/home/vinaya.valsan/rapidPE/sinead_rapidPE/pp-plots-from-scratch/skymap/2015_fits/$INJINDEX$/bayestar.fits.gz
#skymap_file=/home/vinaya.valsan/rapidPE/sinead_rapidPE/pp-plots-from-scratch/skymap/2015_fits/$INJINDEX$/bayestar.fits.gz
#skymap_file=/home/vinaya.valsan/rapidPE/sinead_rapidPE/pp-plots-from-scratch/skymap/2016_fits/$INJINDEX$/bayestar.fits.gz

#channel_name=[H1=INJ_FAKE,L1=INJ_FAKE]
#channel_name=[H1=GAUSSIAN,L1=GAUSSIAN]
channel_name=[H1=INJ_GAUSSIAN,L1=INJ_GAUSSIAN,V1=INJ_GAUSSIAN]


[Pastro]
# Section left blank for this example